<?php

ini_set('auto_detect_line_endings', true);

date_default_timezone_set('Asia/Kolkata');
require __DIR__.'/../../vendor/autoload.php';
use TeamChat\SDK\Client\APIClient;
use TeamChat\SDK\Client\IAPIClient;
use TeamChat\SDK\Client\HTTPAPIClient;
use TeamChat\SDK\ActivityBroker;
use TeamChat\SDK\Data\PDOPersistenceLayer;
use TeamChat\SDK\Messages\Chatlets\PollChatlet;
use TeamChat\SDK\Messages\Chatlets\PrimaryChatlet;
use TeamChat\SDK\Form;
use TeamChat\SDK\Field;

$apikey = "3e3f303c4b5a41cfc1a220e3d75afc56";

//IMPORTANT - ASSIGN $apikey to get demo working
$h = new HTTPAPIClient($apikey);
$pdo = new PDO('sqlite::memory:');
$l = new PDOPersistenceLayer($pdo, $botemail);

//Instance of broker to which all the handlers are registered
$b = new ActivityBroker();

//Adding one complex handler
$b->onKeyword(function (IAPIClient $c) {
//    $chatlet = new PollChatlet();
//            $chatlet->setQuestion('Do you like teamchat?')->alias('mypoll');
    $chatlet = new PrimaryChatlet();
    $chatlet->setQuestionHtml('<b><font style="color:red">Please enter your profile</font></b>');
//    $chatlet->setQuestion('Please enter your profile');
    $form = new Form();

    $nameField = new Field('input');
    $nameField->name('name')->label('Name:');
    $form->addField($nameField);

    $cityField = new Field('select');
    $cityField->name('city')->label('City:');
    $cityField->addOption('Delhi')->addOption('Mumbai')->addOption('Kolkata')->addOption('Bengaluru');
    $form->addField($cityField);

    $chatlet->setReplyScreen($form);
    $chatlet->showDetails(true);
    $chatlet->setDetailsLabel('Entries');
    $chatlet->allowComments(true);
    $chatlet->setReplyLabel('Enter');
    $chatlet->alias('profile');

    $c->perform($c->context()->currentRoom()->post(
        $chatlet
    ));
}, 'create', false);

$b->onAlias(function (IAPIClient $c) {
    print_r($c->context()->currentReply());
    $chatlet = new TeamChat\SDK\Messages\Chatlets\TextChatlet('Thanks for your response');
    $c->perform($c->context()->currentRoom()->post($chatlet));
//}, 'mypoll');
}, 'profile');

$b->onBotAdded(function (TeamChat\SDK\Client\IAPIClient $c) {
    $e = $c->context()->currentEvent();
    print_r($e);
});

$b->onEvent(function (TeamChat\SDK\Client\IAPIClient $c) {
    $e = $c->context()->currentEvent();
    print_r($e);
});

$b->onMemberAdded(function (TeamChat\SDK\Client\IAPIClient $c) {
    $e = $c->context()->currentEvent();
    print_r($e);
});

$b->onMemberLeft(function (TeamChat\SDK\Client\IAPIClient $c) {
    $e = $c->context()->currentEvent();
    print_r($e);
});

$b->onMemberRemoved(function (TeamChat\SDK\Client\IAPIClient $c) {
    $e = $c->context()->currentEvent();
    print_r($e);
});

//Use everything together
$c = new APIClient($h, $b, $l);
$c->run();
