<?php

namespace TeamChat\SDK\Activities;

use stdClass;

/**
 * @author Team Chat <support@teamchat.com>
 */
class Activity
{
    const TYPE_WELCOME = 'welcome';
    const TYPE_MESSAGE = 'message';
    const TYPE_SMART_MESSAGE = 'smartmessage';
    const TYPE_JOINED = 'joined';
    const TYPE_LEFT = 'left';
    const TYPE_KICKED = 'kicked';

    /**
     * Type of the Activity.
     *
     * @var string
     */
    public $type;

    /**
     * JSON object obtained from conceverting data from the wire.
     *
     * @var stdClass
     */
    public $raw;

    public function __construct(stdClass $raw)
    {
        $this->type = $raw->type;
        $this->raw = $raw;
    }
}
