<?php

namespace TeamChat\SDK\Activities;

use TeamChat\SDK\Users\Sender;

/**
 * Description of Event.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Event extends Activity
{
    protected $data;
    public $roomId;
    public $date;
    /**
     * @var Sender
     */
    public $sender;

    public function __construct(\stdClass $raw)
    {
        parent::__construct($raw);
        $this->data = new \stdClass();
        $this->date = $raw->date;
        $this->data->date = $raw->date;
        $this->data->message = $raw->text;
        $this->data->type = $raw->type;
        $this->data->userId = $raw->replacements->target;
        $this->roomId = $raw->roomId;
        $this->sender = new Sender();
        $this->sender->id = $raw->sender;
    }

    public function type()
    {
        return $this->type;
    }

    public function data()
    {
        return $this->data;
    }

    public function getMessage()
    {
        return $this->data->message;
    }

    public function getDate()
    {
        return $this->data->date;
    }

    public function getUserDetails()
    {
        return $this->userDetails;
    }
}
