<?php

namespace TeamChat\SDK\Activities;

use TeamChat\SDK\Users\Sender;
use stdClass;

/**
 * Description of Message.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Message extends Activity
{
    public $id;
    public $date;
    public $roomId;
    public $sender;
    public $text;
    public $seqId;
    public $roomUrl;
    public $url;
    public $ackUrl;
    public $appType;

    public function __construct(stdClass $raw)
    {
        parent::__construct($raw);
        $this->id = $raw->_id;
        $this->date = $raw->date;
        $this->roomId = $raw->roomId;
        $this->sender = new Sender($raw->senderObj);
        $this->from = $raw->from;
        $this->text = $raw->text;
        $this->seqId = $raw->seqId;
        $this->acks = $raw->acks;
        $this->roomUrl = $raw->roomUrl;
        $this->url = $raw->url;
        $this->ackUrl = $raw->ackUrl;
        $this->appType = $raw->appType;
    }
}
