<?php

namespace TeamChat\SDK;

/**
 * @author Team Chat <support@teamchat.com>
 */
interface ContextInterface
{
    /**
     * @return Room The current room in which message was received
     */
    public function currentRoom();
    public function p2p($email);
    public function byId($id);
    /**
     * @return Room
     */
    public function create();
    public function currentChatlet();
    public function chatletById($id);
    public function raw($message);
    public function currentReply();
    public function currentComment();
    public function currentEvent();
    public function currentKeywordParams();
    public function currentChatletAlias();
    public function currentRoomAlias();
    public function chatletByRef($ref);
    public function currentFlowlet();
    public function createFlowlet();
    public function relatedRooms($relation);
    public function recursiveIterate($relation);
    public function chatletByAlias($alias);
    public function currentSenderId();
    public function currentSender();
}
