<?php

namespace TeamChat\SDK;

/**
 * Description of Field.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Field
{
    public $data;

    public function __construct($type)
    {
        $this->data = new \stdClass();
        $this->data->type = $type;
    }

    public function getFormDefn()
    {
        return $this->data;
    }

    public function name($name)
    {
        $this->data->name = $name;

        return $this;
    }

    public function label($label)
    {
        $this->data->label = $label;

        return $this;
    }

    public function value($value)
    {
        $this->data->value = $value;
    }

    public function addRegexValidation($regex, $errmsg)
    {
        if (!isset($this->data->validator)) {
            $this->data->validator = array();
        }
        $regexval = new \stdClass();
        $regexval->regx = $regex;
        $regexval->emsg = $errmsg;
        $this->data->validator[] = $regexval;

        return $this;
    }

    public function addOption($option)
    {
        if (!isset($this->data->options)) {
            $this->data->options = array();
        }
        $opt = new \stdClass();
        $opt->val = $option;
        $this->data->options[] = $opt;

        return $this;
    }
}
