<?php

namespace TeamChat\SDK;

/**
 * Description of Form.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Form
{
    protected $fields = array();

    public function addField(Field $field)
    {
        $this->fields[] = $field;
    }

    public function getFormDefn()
    {
        $toret = new \stdClass();
        $toret->fields = array();
        foreach ($this->fields as $field) {
            /* @var $field Field */
            $f = $field->getFormDefn();
            if ($field->type != 'label') {
                if (property_exists($f, 'label')) {
                    $label = new Field('label');
                    $label->name($f->name.'lbl')->value($f->label);
                    $toret->fields[] = $label->getFormDefn();
                    unset($f->label);
                }
            }
            $toret->fields[] = $f;
        }

        return $toret;
    }

    public function getRespDefn()
    {
        $toret = new \stdClass();
        if (count($this->fields) > 0) {
            $toret->action = 'Reply';
            $toret->maction = '';
            $toret->formid = '';
            foreach ($this->fields as $field) {
                /* @var $field Field */
                $fld = $field->getFormDefn();
                if ($fld->type != 'label') {
                    $toret->{$fld->name} = '';
                }
            }
        }

        return $toret;
    }

    public function getDetailDefn()
    {
        $toret = new \stdClass();
        $toret->fields = array();
        foreach ($this->fields as $field) {
            /* @var $field Field */
            $fld = $field->getFormDefn();
            $det = new \stdClass();
            $det->display = $fld->label;
            $det->key = $fld->name;
            $toret->fields[] = $det;
        }

        return $toret;
    }
}
