<?php

namespace TeamChat\SDK\Handlers;

use TeamChat\SDK\Client\IAPIClient;

/**
 * Description of ActivityHandler.
 *
 * @author Team Chat <support@teamchat.com>
 */
class ActivityHandler implements HandlerInterface
{
    public $callback;

    public function __construct($callback)
    {
        if (!is_callable($callback)) {
            throw new InvalidCallback();
        }
        $this->callback = $callback;
    }

    public function execute(IAPIClient $client)
    {
        call_user_func($this->callback, $client);
    }
}
