<?php

namespace TeamChat\SDK\Handlers;

use TeamChat\SDK\Activities\Activity;

/**
 * Description of KeywordHandler.
 *
 * @author Team Chat <support@teamchat.com>
 */
class KeywordHandler extends ActivityHandler
{
    public $keyword;
    public $isCaseSensitive;
    public $description;

    public function __construct($callback, $keyword, $isCaseSensitive = false, $description = '')
    {
        parent::__construct($callback);
        $this->keyword = $keyword;
        $this->isCaseSensitive = $isCaseSensitive;
        $this->description = $description;
    }
    public function matches(Activity $activity)
    {
        if (!is_a($activity, 'TeamChat\SDK\Activities\Message')) {
            return false;
        }
        if ($this->isCaseSensitive) {
            return $this->keyword === $activity->text;
        } else {
            return strtolower($this->keyword) === strtolower($activity->text);
        }
    }
}
