<?php

namespace TeamChat\SDK\Messages\Chatlets;

use TeamChat\SDK\Messages\Reply;
use stdClass;

/**
 * Description of Chatlet.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Chatlet implements ChatletInterface
{
    const XSLT_VERSION = 'primary-2.7.2';

    public $registerForReply = array();
    public $formId;
    public $chatlet;

    public function __construct()
    {
        $this->chatlet = new stdClass();
    }

    public function alias($type)
    {
        $this->registerForReply[] = $type;

        return $this;
    }

    public function createComment()
    {
        return new Comment($this->formId);
    }

    public function createReply()
    {
        return new Reply($this->formId);
    }

    public function getAlias()
    {
        return $this->registerForReply;
    }

    public function getFormId()
    {
        return $this->formId;
    }

    public function getMetaInfo()
    {
        return;
    }

    public function raw()
    {
        return json_encode($this->chatlet);
    }

    public function setFormId($id)
    {
        $this->formId = $id;
    }

    public function setLocale($datelocale, $dateformat = null)
    {
        if (is_null($dateformat)) {
            $dateformat = 'dd MMM yyyy hh:mm a';
        }
        $this->chatlet->datelocale = $datelocale;
        $this->chatlet->dateformat = $dateformat;

        return $this;
    }

    public function setMetaInfo($info)
    {
        $this->chatlet->{'meta-info'} = $info;
    }

    public function setXSLTForChatlet($xslt)
    {
        $this->chatlet->xslt = $xslt;
    }
}
