<?php

namespace TeamChat\SDK\Messages\Chatlets;

/**
 * Description of PollChatlet.
 *
 * @author Team Chat <support@teamchat.com>
 */
class PollChatlet extends Chatlet
{
    public $content;
    public $details;

    public function __construct()
    {
        $this->chatlet = json_decode($this->getBasicTemplate());
        $this->loadSections();
    }

    public function setQuestion($question)
    {
        $this->content->text = $question;

        return $this;
    }

    public function setQuestionHtml($question)
    {
        $this->content->html = $question;

        return $this;
    }
    public function setDetailsLabel($detailsLabel)
    {
        $this->details->label = $detailsLabel;

        return $this;
    }

    public function showDetails($show)
    {
        if ($show) {
            $this->chatlet->detailsLinkVisibility = 'all';
        } else {
            $this->chatlet->detailsLinkVisibility = 'hidden';
        }

        return $this;
    }

    private function loadSections()
    {
        $this->content = $this->chatlet->content;
        $this->details = $this->chatlet->detdesc;
    }

    public function getBasicTemplate()
    {
        return '
            {
                "content": {
                    "text": "",
                    "html": ""              
                },
                "xslt": "'.self::XSLT_VERSION.'",
                "summdesc": {
                    "fields": [
                        {
                            "operation": "Count",
                            "drilldown": "resp",
                            "hidden": "true",
                            "name": "yesno",
                            "display": "Count",
                            "fieldname": "resp"
                        }
                    ]
                },
                "detailsLinkVisibility": "all",
                "detdesc": {
                    "label": "Replies",
                    "showcount": "true",
                    "fields": [
                        {
                            "display": "Response",
                            "key": "resp"
                        }
                    ]
                },
                "type": "primary",
                "actionreplace": "replace",
                "actions": {
                    "actitem": [
                        {
                            "yesno": {}
                        }
                    ]
                },
                "comments": {
                    "addcomment": "true"
                },
                "minCrv": "3",
                "displayname": "Poll"
            }
        ';
    }
}
