<?php

namespace TeamChat\SDK\Messages;

/**
 * Description of Comment.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Comment
{
    public $obj;

    public function __construct($obj)
    {
        if (is_a($obj, '\stdClass')) {
            $this->obj = $obj;
        } else {
            $this->obj = new \stdClass();
            $this->obj->formid = $obj;
            $this->obj->type = 'meta';
            $this->obj->action = 'comment';
            $this->obj->maction = '';
            $this->obj->imgUrl = '';
            $this->obj->text = '';
        }
    }

    public function addComment($message)
    {
        $this->obj->text = $message;

        return $this;
    }

    public function getComment()
    {
        return $this->obj->text;
    }

    public function raw()
    {
        return json_encode($this->obj);
    }

    public function setFormId($id)
    {
        return $this->obj->formid = $id;
    }

    public function getFormId()
    {
        return $this->obj->formid;
    }

    public function sender()
    {
        return $this->obj->sender;
    }

    public function senderName()
    {
        return $this->obj->senderName;
    }

    public function senderEmail()
    {
        return $this->obj->senderEmail;
    }
}
