<?php

namespace TeamChat\SDK\Messages;

/**
 * Description of Reply.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Reply
{
    public $obj;

    public function __construct($obj)
    {
        if (is_a($obj, '\stdClass')) {
            $this->obj = $obj;
        } else {
            $this->obj = new \stdClass();
            $this->obj->formid = $obj;
            $this->obj->type = 'meta';
            $this->obj->action = 'Reply';
            $this->obj->maction = '';
        }
    }

    public function addField($name, $value)
    {
        $this->obj->{$name} = $value;

        return $this;
    }

    public function getField($name)
    {
        return $this->obj->{$name};
    }

    public function extractFields($fields)
    {
        $values = array();
        foreach ($fields as $field) {
            $values[] = $this->getField($field);
        }

        return $values;
    }

    public function raw()
    {
        return json_encode($this->obj);
    }

    public function setFormId($id)
    {
        return $this->obj->formid = $id;
    }

    public function getFormId()
    {
        return $this->obj->formid;
    }

    public function sender()
    {
        return $this->obj->sender;
    }

    public function senderName()
    {
        return $this->obj->senderName;
    }

    public function senderEmail()
    {
        return $this->obj->senderEmail;
    }
}
