<?php

namespace TeamChat\SDK;

use TeamChat\SDK\Messages\Chatlets\ChatletInterface;

/**
 * Description of Room.
 *
 * @author Team Chat <support@teamchat.com>
 */
class Room
{
    protected $id;
    protected $welcomeMsg;
    protected $name;

    protected $emailsToAdd = array();
    protected $emailsToRemove = array();
    protected $msgsToPost = array();

    public function __construct($id)
    {
        $this->id = $id;
    }
    public function post(ChatletInterface $chatlet)
    {
        $this->msgsToPost[] = $chatlet;

        return $this;
    }
    public function add($email)
    {
        $cleanEmail = trim($email);
        $this->emailsToAdd[] = $cleanEmail;
        $this->emailsToRemove = array_diff($this->emailsToRemove, array($cleanEmail));

        return $this;
    }
    public function remove($email)
    {
        $cleanEmail = trim($email);
        $this->emailsToRemove[] = $cleanEmail;
        $this->emailsToAdd = array_diff($this->emailsToAdd, array($cleanEmail));

        return $this;
    }
    public function getEmailsToAdd()
    {
        return $this->emailsToAdd;
    }
    public function getEmailsToRemove()
    {
        return $this->emailsToRemove;
    }
    public function getId()
    {
        return $this->id;
    }
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }
    public function getMsgs()
    {
        return $this->msgsToPost;
    }
    public function welcomeMessage()
    {
        return $this->welcomeMsg;
    }
    public function welcome($msg)
    {
        $this->welcomeMsg = $msg;

        return $this;
    }
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }
    public function getName()
    {
        return $this->name;
    }
}
